#include <iostream>
#include <fstream>
using namespace std;
int main()
{
	ifstream f1; f1.open("timmax.inp");
	int n,a[10000],max,i;
	f1>>n;
	f1>>a[1];
	max=a[1];
	for(i=2;i<n;i++)
	{
		f1>>a[i];
		if(a[1]>max){max=a[1];}
	}
	f1.close();
	ofstream f2; f2.open("timmax.out");
	f2<<max<<endl;
	for(i=1;i<n;i++)
	if(a[i]==max)
	{f2<<i<<' ';}
	f2.close();
	
}
